Реализация чтения сообщений из Kafka и отображения баннера на Go

## Описание задачи
Необходимо реализовать систему, которая читает сообщения из Kafka, содержащие информацию о действиях пользователя, и на основе этих данных показывает соответствующий баннер.

## Выполненные действия:
### Настройка Kafka:
- Установлен и настроен Kafka-брокер.
- Создан топик user_actions для отправки сообщений о действиях пользователя.
- Настроен продюсер для отправки тестовых сообщений в топик.

### Реализация потребителя (Consumer) Kafka на Go:
- Использована библиотека sarama для работы с Kafka в Go.
- Написан потребитель, который подписывается на топик user_actions и читает сообщения в реальном времени.
- Реализована обработка сообщений, содержащих информацию о действиях пользователя (например, user_id, action_type, timestamp).

### Логика отображения баннера:
На основе типа действия (action_type) определяется, какой баннер необходимо показать.
Реализована логика отображения баннера:
- Если действие view_product, показывается баннер с рекомендациями товаров.
- Если действие add_to_cart, показывается баннер с предложением оформить заказ.
- Если действие purchase, показывается баннер с благодарностью за покупку.

## Пример сообщения в Kafka:
```json
{
  "user_id": "12345",
  "action_type": "add_to_cart",
  "timestamp": "2023-10-01T12:34:56Z"
}
```

## Пример отображения баннера:
При получении сообщения с action_type = "add_to_cart", на фронтенде отображается баннер с текстом: "Товар добавлен в корзину! Оформите заказ сейчас и получите скидку 10%!"

## Заключение:
Задача успешно реализована. Система корректно читает сообщения из Kafka, обрабатывает их и отображает соответствующий баннер на основе действий пользователя.